document.addEventListener('DOMContentLoaded', () => {
    // Mobile Menu Toggle
    const mobileMenu = document.querySelector('.mobile-menu');
    const navLinks = document.querySelector('.nav-links');
    
    mobileMenu?.addEventListener('click', () => {
        navLinks.style.display = navLinks.style.display === 'flex' ? 'none' : 'flex';
    });

    // Smooth Scroll
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Payment Modal
    const subscribeButtons = document.querySelectorAll('.subscribe-btn');
    const paymentModal = document.querySelector('.payment-modal');
    const closeModal = document.querySelector('.close-modal');
    
    subscribeButtons.forEach(button => {
        button.addEventListener('click', () => {
            paymentModal.style.display = 'block';
        });
    });

    closeModal?.addEventListener('click', () => {
        paymentModal.style.display = 'none';
    });

    // Close modal when clicking outside
    window.addEventListener('click', (e) => {
        if (e.target === paymentModal) {
            paymentModal.style.display = 'none';
        }
    });

    // Payment Processing
    const paymentButtons = document.querySelectorAll('.payment-btn');
    
    paymentButtons.forEach(button => {
        button.addEventListener('click', (e) => {
            const method = e.target.dataset.method;
            processPayment(method);
        });
    });

    function processPayment(method) {
        // Simulate payment processing
        alert(`Processing ${method} payment... This would connect to a payment gateway in production.`);
    }
});
